# This file is the entry point to configure your own services.
# Files in the packages/ subdirectory configure your dependencies.

# Put parameters here that don't need to change on each machine where the app is deployed
# https://symfony.com/doc/current/best_practices/configuration.html#application-related-configuration
parameters:
    project_photographer: '-dc'
    find_my_data_website_id:
        'fr': '24'
    find_my_data_worker_type_id: 1
    find_my_data_url_base: http://findmydata.dv   # findmydata.dv # https://www.admin-trouvermonarchitecte.fr 
    default_country: fr # change for route
    languages: ['fr', 'en']
    main_skill_type_1: 5
    main_skill_type_2: 6
    main_attribute_1: 122
    main_attribute_2: 55
    #id attribute style
    main_attribute_3: 62
    main_attribute_4: 62
    number_main_attribute: 4
    main_skill_type: [5, 6]
    google_key: AIzaSyDNkil3rKocVoPtfM-_-NuoApPY24yR4RU
    zip_code_url: true
    cache_version: 1865239
    country: "['de']"
    ipNotCount: ['197.0.0.87', '197.5.65.84', '81.250.135.28']
    email_archi_bo: 'info@trouver-mon-decorateur.fr'
    email_info: 'info@trouver-mon-decorateur.fr'
    email_contact: 'info@trouver-mon-decorateur.fr'
    email_admin: 'info@trouver-mon-decorateur.fr'
    email_b_to_c: 'info@trouver-mon-decorateur.fr'
    email_inscription: 'info@trouver-mon-decorateur.fr'
    data_dir: '%kernel.project_dir%/'
    name_logo: 'Logos-TMD-WEB_FR'
    website: trouver-mon-decorateur.fr
    default_lat: 46.23219299
    default_lng: 2.209666999
    main_attributes_ids: [55,57,56,62,54,58]
    attribute_0: 58 # Style
    attribute_1: 54 # Mission
    attribute_2: 55 # Localisation
    attribute_3: 57 # Tarifs
    attribute_4: 56 # Moyen de paiement
    attribute_5: 62 # Langue parlées
    server_ip: 146.88.235.159

services:
    # default configuration for services in *this* file
    _defaults:
        autowire: true      # Automatically injects dependencies in your services.
        autoconfigure: true # Automatically registers your services as commands, event subscribers, etc.

    # makes classes in src/ available to be used as services
    # this creates a service per class whose id is the fully-qualified class name
    App\:
        resource: '../src/'
        exclude:
            - '../src/DependencyInjection/'
            - '../src/Entity/'
            - '../src/Kernel.php'
            - '../src/Tests/'

    # controllers are imported separately to make sure services can be injected
    # as action arguments even if you don't extend any base controller class
    App\Controller\:
        resource: '../src/Controller/'
        tags: ['controller.service_arguments']

    # add more service definitions when explicit configuration is needed
    # please note that last definitions always *replace* previous ones
